---
- name: Set up fonts
  vars:
    uid: "{{ lookup('env','USER') }}"
    font_name: UbuntuMono
    font_path: https://github.com/ryanoasis/nerd-fonts/releases/download/v3.0.2/{{ font_name }}.zip
    font_size: 14
  hosts: localhost
  connection: local
  become: false
  tasks:
    - name: Have font installed allready
      stat:
        path: /usr/local/share/fonts/{{ font_name }}
      register: font
    - name: Make font dir
      ansible.builtin.file:
        dest: /tmp/{{ font_name }}
        state: directory
      when: not font.stat.exists
    - name: get font
      ansible.builtin.command:
        chdir: /tmp/{{ font_name }}
        cmd: wget {{ font_path }}
      when: not font.stat.exists
    - name: unizip font
      ansible.builtin.command:
        chdir: /tmp/{{ font_name }}
        cmd: unzip {{ font_name }}.zip
      when: not font.stat.exists
    - name: install font
      become: true
      ansible.builtin.command:
        chdir: /tmp/
        cmd: mv {{ font_name }} /usr/local/share/fonts/
      when: not font.stat.exists
    - name: make foot dir
      ansible.builtin.file:
        dest: /home/{{ uid }}/.config/foot
        state: directory
    - name: install foot config
      ansible.builtin.template:
        src: ../templates/foot.ini.j2
        dest: /home/{{ uid }}/.config/foot/foot.ini
        owner: '{{ uid }}'
        group: '{{ uid }}'
        mode: '0640'
